part of navigine_sdk;

class NavigineSDK {
  static Future<NavigineSDK> initializeSDK({
    required String userHash,
    String serverURL = "https://api.navigine.com/",
  }) async {
    await _channel.invokeMethod('initialize', {
      "userHash": userHash,
      "serverUrl": serverURL,
    });
    return NavigineSDK();
  }

  loadLocation({
    required int locationId,
    Function? onSuccess,
    Function(int errorCode)? onFailed,
    Function(int state)? onUpdate,
  }) {
    print(locationId);
    _channel.invokeMethod("loadLocation", {
      "locationId": locationId,
    });
    print("adding again");
    _channel.setMethodCallHandler((call) async {
      print(call.method);
      switch (call.method) {
        case "location#onUpdate":
          print("update again");
          onUpdate?.call(call.arguments);
          break;
        case "location#onFailed":
          print("failed again");
          onFailed?.call(call.arguments);
          break;
        case "location#onFinished":
          print("finish again");
          onSuccess?.call();
          break;
        default:
      }
    });
  }

  clearSDK() {
    print("cancled");
    _channel.setMethodCallHandler(null);
  }
}
